Package it.ernytech.tdlib

## Class TdApi.PageBlock

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PageBlock

Direct Known Subclasses:
  `TdApi.PageBlockAnchor`, `TdApi.PageBlockAnimation`, `TdApi.PageBlockAudio`, `TdApi.PageBlockAuthorDate`, `TdApi.PageBlockBlockQuote`, `TdApi.PageBlockChatLink`, `TdApi.PageBlockCollage`, `TdApi.PageBlockCover`, `TdApi.PageBlockDivider`, `TdApi.PageBlockEmbedded`, `TdApi.PageBlockEmbeddedPost`, `TdApi.PageBlockFooter`, `TdApi.PageBlockHeader`, `TdApi.PageBlockList`, `TdApi.PageBlockParagraph`, `TdApi.PageBlockPhoto`, `TdApi.PageBlockPreformatted`, `TdApi.PageBlockPullQuote`, `TdApi.PageBlockSlideshow`, `TdApi.PageBlockSubheader`, `TdApi.PageBlockSubtitle`, `TdApi.PageBlockTitle`, `TdApi.PageBlockVideo`

Enclosing class:
  TdApi

    public abstract static class TdApi.PageBlock
    extends TdApi.Object

This class is an abstract base class. Describes a block of an instant view web page.

### Constructor Summary

Constructors
`PageBlock()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### PageBlock

    public PageBlock()